Index: trunk/src/org/openstreetmap/josm/gui/io/LayerNameAndFilePathTableCell.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/LayerNameAndFilePathTableCell.java	(revision 12531)
+++ trunk/src/org/openstreetmap/josm/gui/io/LayerNameAndFilePathTableCell.java	(revision 12537)
@@ -38,5 +38,5 @@
  */
 class LayerNameAndFilePathTableCell extends JPanel implements TableCellRenderer, TableCellEditor {
-    private static final Color colorError = new Color(255, 197, 197);
+    private static final Color COLOR_ERROR = new Color(255, 197, 197);
     private static final String ELLIPSIS = '…' + File.separator;
 
@@ -46,5 +46,5 @@
     private final JButton btnFileChooser = new JButton(new LaunchFileChooserAction());
 
-    private static final GBC defaultCellStyle = GBC.eol().fill(GBC.HORIZONTAL).insets(2, 0, 2, 0);
+    private static final GBC DEFAULT_CELL_STYLE = GBC.eol().fill(GBC.HORIZONTAL).insets(2, 0, 2, 0);
 
     private final transient CellEditorSupport cellEditorSupport = new CellEditorSupport(this);
@@ -137,5 +137,5 @@
         lblLayerName.setIcon(info.getLayer().getIcon());
         lblLayerName.setText(info.getName());
-        add(lblLayerName, defaultCellStyle);
+        add(lblLayerName, DEFAULT_CELL_STYLE);
         return tr("The bold text is the name of the layer.");
     }
@@ -164,8 +164,8 @@
         }
 
-        lblFilename.setBackground(error ? colorError : getBackground());
-        btnFileChooser.setBackground(error ? colorError : getBackground());
-
-        add(lblFilename, defaultCellStyle);
+        lblFilename.setBackground(error ? COLOR_ERROR : getBackground());
+        btnFileChooser.setBackground(error ? COLOR_ERROR : getBackground());
+
+        add(lblFilename, DEFAULT_CELL_STYLE);
         return tr("Click cell to change the file path.") + "<br/>" + tooltip;
     }
Index: trunk/src/org/openstreetmap/josm/gui/io/SaveLayersTableColumnModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/SaveLayersTableColumnModel.java	(revision 12531)
+++ trunk/src/org/openstreetmap/josm/gui/io/SaveLayersTableColumnModel.java	(revision 12537)
@@ -27,5 +27,5 @@
         private final JLabel needsUpload = new JLabel(tr("should be uploaded"));
         private final JLabel needsSave = new JLabel(tr("should be saved"));
-        private static final GBC defaultCellStyle = GBC.eol().fill(GBC.HORIZONTAL).insets(2, 0, 2, 0);
+        private static final GBC DEFAULT_CELL_STYLE = GBC.eol().fill(GBC.HORIZONTAL).insets(2, 0, 2, 0);
 
         /**
@@ -48,10 +48,10 @@
                 String htmlInfoName = Utils.escapeReservedCharactersHTML(info.getName());
                 if (info.getLayer().requiresUploadToServer() && !info.getLayer().isUploadDiscouraged()) {
-                    panel.add(needsUpload, defaultCellStyle);
+                    panel.add(needsUpload, DEFAULT_CELL_STYLE);
                     sb.append(tr("Layer ''{0}'' has modifications which should be uploaded to the server.", htmlInfoName));
 
                 } else {
                     if (info.isUploadable()) {
-                        panel.add(pnlEmpty, defaultCellStyle);
+                        panel.add(pnlEmpty, DEFAULT_CELL_STYLE);
                     }
                     if (info.getLayer().requiresUploadToServer()) {
@@ -64,10 +64,10 @@
 
                 if (info.getLayer().requiresSaveToFile()) {
-                    panel.add(needsSave, defaultCellStyle);
+                    panel.add(needsSave, DEFAULT_CELL_STYLE);
                     sb.append(tr("Layer ''{0}'' has modifications which should be saved to its associated file ''{1}''.",
                             htmlInfoName, info.getFile().toString()));
                 } else {
                     if (info.isSavable()) {
-                        panel.add(pnlEmpty, defaultCellStyle);
+                        panel.add(pnlEmpty, DEFAULT_CELL_STYLE);
                     }
                     sb.append(tr("Layer ''{0}'' has no modifications to be saved.", htmlInfoName));
Index: trunk/src/org/openstreetmap/josm/gui/io/UploadDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/UploadDialog.java	(revision 12531)
+++ trunk/src/org/openstreetmap/josm/gui/io/UploadDialog.java	(revision 12537)
@@ -75,5 +75,5 @@
 
     /** list of custom components that can be added by plugins at JOSM startup */
-    private static final Collection<Component> customComponents = new ArrayList<>();
+    private static final Collection<Component> CUSTOM_COMPONENTS = new ArrayList<>();
 
     /** the "created_by" changeset OSM key */
@@ -136,5 +136,5 @@
 
         // Custom components
-        for (Component c : customComponents) {
+        for (Component c : CUSTOM_COMPONENTS) {
             pnl.add(c, GBC.eol().fill(GBC.HORIZONTAL));
         }
@@ -406,5 +406,5 @@
     public static boolean addCustomComponent(Component c) {
         if (c != null) {
-            return customComponents.add(c);
+            return CUSTOM_COMPONENTS.add(c);
         }
         return false;
